package com.ruoyi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.FoodSpecs;

/**
 * 规格组 Mapper 接口
 *
 * @author ruoyi
 * @date 2026-07-15
 */
public interface FoodSpecsMapper extends BaseMapper<FoodSpecs>
{
    /**
     * 查询规格组
     *
     * @param id 规格组主键
     * @return 规格组
     */
    public FoodSpecs selectFoodSpecsById(Long id);

    /**
     * 查询规格组列表
     *
     * @param foodSpecs 规格组
     * @return 规格组集合
     */
    public List<FoodSpecs> selectFoodSpecsList(FoodSpecs foodSpecs);

    /**
     * 新增规格组
     *
     * @param foodSpecs 规格组
     * @return 结果
     */
    public int insertFoodSpecs(FoodSpecs foodSpecs);

    /**
     * 修改规格组
     *
     * @param foodSpecs 规格组
     * @return 结果
     */
    public int updateFoodSpecs(FoodSpecs foodSpecs);

    /**
     * 删除规格组
     *
     * @param id 规格组主键
     * @return 结果
     */
    public int deleteFoodSpecsById(Long id);

    /**
     * 批量删除规格组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFoodSpecsByIds(Long[] ids);
}
